mobilesync_acknowledge_changes_from_device
mobilesync_actions_add
mobilesync_actions_free
mobilesync_actions_new
mobilesync_anchors_free
mobilesync_anchors_new
mobilesync_anchors_t
mobilesync_cancel
mobilesync_clear_all_records_on_device
mobilesync_client_free
mobilesync_client_new
mobilesync_client_start_service
mobilesync_client_t
mobilesync_error_t
mobilesync_finish
mobilesync_get_all_records_from_device
mobilesync_get_changes_from_device
mobilesync_ready_to_send_changes_from_computer
mobilesync_receive
mobilesync_receive_changes
mobilesync_remap_identifiers
mobilesync_send
mobilesync_send_changes
MOBILESYNC_SERVICE_NAME
mobilesync_start
mobilesync_sync_type_t

## mobilesync_client_start_service()

LIBIMOBILEDEVICE_API mobilesync_error_t mobilesync_client_start_service | ( | idevice_t | device,
|  | mobilesync_client_t * | client,
|  | const char * | label )

Starts a new mobilesync service on the specified device and connects to it.

Parameters

  device | The device to connect to.
  client | Pointer that will point to a newly allocated mobilesync_client_t upon successful return. Must be freed using mobilesync_client_free() after use.
  label | The label to use for communication. Usually the program name. Pass NULL to disable sending the label in requests to lockdownd.

Returns
  MOBILESYNC_E_SUCCESS on success, or an MOBILESYNC_E_* error code otherwise.